<div class="auth-main">
  <div class="auth-block">
    <div *ngIf="!emailNotVerified && !emailResent && !alreadyVerified && !accountNotApproved" >
    <h1 translate>{{'login.title'}}</h1>
    <a routerLink="/register" class="auth-link" translate>{{'login.signup_link'}}</a>

    <form [formGroup]="form" (ngSubmit)="onSubmit(form.value)" class="form-horizontal">
      <div class="form-group row" [ngClass]="{'has-error': (!email.valid && email.touched), 'has-success': (email.valid && email.touched)}">
        <label for="inputEmail3" class="col-sm-2 control-label" translate>{{'login.email'}}</label>

        <div class="col-sm-10">
          <input [formControl]="email" type="email" class="form-control" id="inputEmail3" placeholder="{{'login.email' | translate}}">
        </div>
      </div>
      <div class="form-group row" [ngClass]="{'has-error': (!password.valid && password.touched), 'has-success': (password.valid && password.touched)}">
        <label for="inputPassword3" class="col-sm-2 control-label" translate>{{'login.password'}}</label>

        <div class="col-sm-10">
          <input [formControl]="password" type="password" class="form-control" id="inputPassword3" placeholder="{{'login.password' | translate}}">
        </div>
      </div>
      <div class="form-group row">
        <div class="offset-sm-2 col-sm-10">
          <button [disabled]="!form.valid" type="submit" class="btn btn-default btn-auth" translate>{{'login.sign_in'}}</button>
          <a routerLink="/auth/passwordreset/" class="forgot-pass" translate>{{'login.forgot_password'}}</a>
        </div>
      </div>
    </form>
    </div>
    <div *ngIf="emailNotVerified">
      <h1>Email Id not Verified</h1>
      <p class="text-center">Please verify the link sent to your mail Id</p>
      <br />
      <div align="center">
        <button class="btn btn-default btn-auth" (click)="resendVerificationMail()">Re-send Verification Mail</button>
      </div>
    </div>
    <div *ngIf="accountNotApproved">
      <h1>Your Account is not approved !!!</h1>
      <p class="text-center">GCT Portal accounts should be approved by an authorized person</p>
      <p class="text-center"></p>
      <br />
    </div>
    <div *ngIf="emailResent">
      <h1>Verify Email ID</h1>
      <p class="text-center">An email has been sent to your mail id. Please Verify it.</p>
      <br />
    </div>
  </div>
</div>
